LibreOffice: cppu::OBroadcastHelperVar< container, keyType > Struct Template Reference

LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Public Member Functions | Public Attributes | List of all members
cppu::OBroadcastHelperVar< container, keyType > Struct Template Reference

This struct contains the standard variables of a broadcaster. More...

`#include <interfacecontainer.h>`

## Public Member Functions
| OBroadcastHelperVar (::osl::Mutex &rMutex_)
| Initialize the structure. More...
void | addListener (const keyType &key, const css::uno::Reference< css::uno::XInterface > &r)
| adds a listener threadsafe. More...
void | removeListener (const keyType &key, const css::uno::Reference< css::uno::XInterface > &r)
| removes a listener threadsafe More...
OInterfaceContainerHelper * | getContainer (const keyType &key) const
| Return the container created under this key. More...

## Public Attributes
::osl::Mutex & | rMutex
| The shared mutex. More...
container | aLC
| ListenerContainer class is thread safe. More...
sal_Bool | bDisposed
| Dispose call ready. More...
sal_Bool | bInDispose
| In dispose call. More...

## Detailed Description

### template<class container, class keyType>
struct cppu::OBroadcastHelperVar< container, keyType >

This struct contains the standard variables of a broadcaster.

Helper classes only know a reference to this struct instead of references to the four members. The access to the members must be guarded with rMutex.

The additional template parameter keyType has been added, because gcc can't compile addListener( const container::keyType &key ).

## Constructor & Destructor Documentation

## ◆ OBroadcastHelperVar()

template<class container , class keyType >

cppu::OBroadcastHelperVar< container, keyType >::OBroadcastHelperVar | ( | ::osl::Mutex & | rMutex_ | ) |
| inline

Initialize the structure.

bDispose and bInDispose are set to false.

Parameters

  rMutex_ | the mutex reference.

## Member Function Documentation

## ◆ addListener()

template<class container , class keyType >

void cppu::OBroadcastHelperVar< container, keyType >::addListener | ( | const keyType & | key,
|  | const css::uno::Reference< css::uno::XInterface > & | r
| ) |  |
| inline

adds a listener threadsafe.

## ◆ getContainer()

template<class container , class keyType >

OInterfaceContainerHelper* cppu::OBroadcastHelperVar< container, keyType >::getContainer | ( | const keyType & | key | ) | const
| inline

Return the container created under this key.

Returns
  the container created under this key. If the container was not created, null was returned. This can be used to optimize performance ( construction of an event object can be avoided ).

## ◆ removeListener()

template<class container , class keyType >

void cppu::OBroadcastHelperVar< container, keyType >::removeListener | ( | const keyType & | key,
|  | const css::uno::Reference< css::uno::XInterface > & | r
| ) |  |
| inline

removes a listener threadsafe

## Member Data Documentation

## ◆ aLC

template<class container , class keyType >

container cppu::OBroadcastHelperVar< container, keyType >::aLC

ListenerContainer class is thread safe.

## ◆ bDisposed

template<class container , class keyType >

sal_Bool cppu::OBroadcastHelperVar< container, keyType >::bDisposed

Dispose call ready.

## ◆ bInDispose

template<class container , class keyType >

sal_Bool cppu::OBroadcastHelperVar< container, keyType >::bInDispose

In dispose call.

## ◆ rMutex

template<class container , class keyType >

::osl::Mutex& cppu::OBroadcastHelperVar< container, keyType >::rMutex

The shared mutex.

The documentation for this struct was generated from the following file:

- cppuhelper/interfacecontainer.h